"""Archive option for custom fields

Revision ID: ccd022774743
Revises: 3b334814e8fa
Create Date: 2022-04-20 13:59:20.484970+02:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.orm import DeclarativeMeta, declarative_base

Base: DeclarativeMeta = declarative_base()

# revision identifiers, used by Alembic.
revision = "ccd022774743"
down_revision = "3b334814e8fa"
branch_labels = None
depends_on = None


class CustomField(Base):
    __tablename__ = "custom_field"
    sid = sa.Column(sa.Integer, primary_key=True, index=True)
    archived = sa.Column(sa.Boolean, default=False)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("custom_field", sa.Column("archived", sa.Boolean(), nullable=True))

    bind = op.get_bind()
    bind.execute(sa.update(CustomField).values(archived=False))

    op.alter_column("custom_field", "archived", nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("custom_field", "archived")
    # ### end Alembic commands ###
